!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Program RandomSet
!
!   * Developer: KITAMORI Taichi, ODAKA Masatsugu
!   * Version: $Id: randomset.f90,v 1.1.2.3 2005/09/30 03:14:07 kitamo Exp $
!   * Tag Name: $Name: arare3m-20051114 $ 
!   * Change History: 
!
!== Overview 
!
!乱数ファイルを生成する
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!== Future Plans
!
!
                                                                 !=end

program randomset
  !== Public Interface

  !=== Dependency
  use fileset, only: fileset_init,  & ! I/O ファイル名初期化サブルーチン  
       &             cfgfile          ! 設定ファイル

  use gridset, only: gridset_init,  &
       &             DimXMax, DimXMin

  !== 暗黙の型宣言禁止
  implicit none

  !=== Input
  real(8)        :: random    ! 乱数
  integer        :: i         ! ループ変数

  !=== Work
  character(8)   :: Today     ! 日付
  character(17)  :: RandomFile  ! 乱数ファイルの名前

  !=== I/O ファイル名の初期化
  !NAMELIST ファイル名を指定し, deepconv/arare の
  !出力ファイル名を NAMELIST から得る
  call fileset_init

  !=== 格子点情報の初期化
  !NAMELIST から情報を得て, 格子点を計算する
  call gridset_init(cfgfile)

  call date_and_time(date = Today)

  RandomFile = "rand-" // Today // ".dat"

!  open(10,file='rand.dat')
  open(10,file=RandomFile)

  do i = DimXMin, DimXMax
     call random_number(random)
     write(10,*) random
  end do
  
  close(10)

end program randomset
